<script>
  import { Wrapper } from '@smui/tooltip/styled';
  import { mdiDownload, mdiUpload, mdiTableRowPlusAfter, mdiTableRowRemove, mdiTableColumnPlusAfter, mdiTableColumnRemove, mdiMenuOpen } from '@mdi/js';
  import Svg from '@smui/common/Svg.svelte';
  import IconButton, { Icon } from '@smui/icon-button/styled';
  import LinearProgress from '@smui/linear-progress/styled';
  import { createEventDispatcher } from "svelte";
  import { window, loading } from "./scripts/stores";

  let export_table_dispatcher = createEventDispatcher()

  function openUploadWindow() {
      window.update(() => "true");
  }

  function exportTable() {
    export_table_dispatcher("exporttable")
  }
</script>


<div class="toolbar">
  <div class="toolbar-container">
    <Wrapper>
        <IconButton on:click={openUploadWindow} >
          <Icon component={Svg} viewBox="0 0 24 24">
            <path fill="currentColor" d={mdiUpload} />
          </Icon>
        </IconButton>
    </Wrapper>
    <Wrapper>
      <IconButton on:click={exportTable}>
        <Icon component={Svg} viewBox="0 0 24 24">
          <path fill="currentColor" d={mdiDownload} />
        </Icon>
      </IconButton>
    </Wrapper>
    <Wrapper>
      <IconButton>
        <Icon component={Svg} viewBox="0 0 24 24">
          <path fill="currentColor" d={mdiTableRowPlusAfter} />
        </Icon>
      </IconButton>
    </Wrapper>
    <Wrapper>
      <IconButton>
        <Icon component={Svg} viewBox="0 0 24 24">
          <path fill="currentColor" d={mdiTableRowRemove} />
        </Icon>
      </IconButton>
    </Wrapper>
    <Wrapper>
      <IconButton>
        <Icon component={Svg} viewBox="0 0 24 24">
          <path fill="currentColor" d={mdiTableColumnPlusAfter} />
        </Icon>
      </IconButton>
    </Wrapper>
    <Wrapper>
      <IconButton>
        <Icon component={Svg} viewBox="0 0 24 24">
          <path fill="currentColor" d={mdiTableColumnRemove} />
        </Icon>
      </IconButton>
    </Wrapper>
    <Wrapper>
      <IconButton style="float: right;">
        <Icon component={Svg} viewBox="0 0 24 24">
          <path fill="currentColor" d={mdiMenuOpen} />
        </Icon>
      </IconButton>
    </Wrapper>
    <br />
  </div>
  {#if $loading == "true"}
  <LinearProgress indeterminate/>
  {/if}
</div>